CREATE TABLE mow_con24tactc1_dyf (
    OBJECT_SHARE_REASON_ID        NUMBER(18, 0) ,
    ASSIGNMENT_RULE_GROUP_ID      NUMBER(18, 0) ,
    OBJECT_SHARE_ID               NUMBER(18, 0)     NOT NULL,
    OBJECT_TYPE                   VARCHAR2(120) ,
    ASSIGNMENT_RULE_GUID          VARCHAR2(256)     NOT NULL,
    SRC_OBJECT_SHARE_REASON_ID    NUMBER(18, 0) ,
    SRC_RELATIONSHIP_DN_ID        NUMBER(18, 0) ,
    SRC_ACC_EXT_RULE_DN_ID        NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CREATION_QUARTER              VARCHAR2(40)  ,
    OBJECT_SHARE_REASON_ID        NUMBER(18, 0) ,
    OBJECT_SHARE_ID               NUMBER(18, 0)     NOT NULL,
    OBJECT_TYPE                   VARCHAR2(120) ,
    ASSIGNMENT_RULE_GUID          VARCHAR2(256)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    SRC_OBJECT_SHARE_REASON_ID    NUMBER(18, 0) ,
    SRC_RELATIONSHIP_DN_ID        NUMBER(18, 0) ,
    SRC_ACC_EXT_RULE_DN_ID        NUMBER(18, 0) ,
    ASSIGNMENT_RULE_GROUP_ID      NUMBER(18, 0) ,
    CREATION_QUARTER              VARCHAR2(40)  ,
    CONSTRAINT pk_mow_con24tactc1_dyf PRIMARY KEY (OBJECT_SHARE_REASON_ID, OBJECT_TYPE, OBJECT_SHARE_REASON_ID, OBJECT_TYPE)
);
